import java.util.Vector;

/**
 * This class specifies each Process. 
 */
public class StateGroup
{
    Vector  entries;        // Collection of StateIntervals.
                            // states belonging to this Group( timeline ) in 
                            // ascending order of their end timestamps
    int     groupID;        // groupID of this particular StateGroup
    boolean dispStatus;     // tells whether the process should be drawn or not
    double  begT;           // starting time for the first state of this process
    int     y;              // y coordinate of this StateGroup's line
  
    public StateGroup( int ID )
    { 
        groupID    = ID;
        dispStatus = true;
        entries    = new Vector();
    }
}
